# EN+充电配置
en-plus:
  # 运营商ID
  operatorId: MA5HJNDG1
  # 运营商密钥
  operatorSecret: 5009db3dc1e94ea8
  # 消息密钥
  dataSecret: 8c15f5bf050948ba
  # 消息密钥初始化向量
  dataSecretIv: 915bea94fa13461d
  # 签名密钥
  sigSecret: 46050b0bb5b7415c
  # 最小充电余额（分）
  chargeMinAmount: 200
  # 接口地址
  apiDomain: https://dev.en-plus.cn/Charge/evcs/v1/MA5HJNDG1/
  # sass配置
  sass: https://dev.en-plus.cn/Charge/op/login?username=快与慢&password=Admin123
  # sass结算订单
  sassClose: https://dev.en-plus.cn/Charge/op/analyze/order/close?orderCode=

# 微信支付
wechat:
  payment:
    notifyUrl: https://dev.kuaiyuman.cn/api/payment/notify
    refundNotifyUrl: https://dev.kuaiyuman.cn/api/payment/refundNotify
  fapiao:
    notifyUrl: https://dev.kuaiyuman.cn/api/invoice/notify


  mp:
    appid: wx93b0ef1be901bd19
    secret: eea715b3058717f44e17c3e4e5cf1d2f
    token: kym
    aeskey: U1ZC5gRrY4DDLZeyKxwpvU5Q7lQvvnQdOV0aX0UPpn6

spring:
  datasource:
    url: jdbc:mysql://121.40.98.15:3307/car_wash?serverTimezone=Asia/Shanghai
    username: root
    password: KuaiyuMan/*-
    driver-class-name: com.mysql.cj.jdbc.Driver
    druid: #以下是全局默认值，可以全局更改
      #监控统计拦截的filters
      filters: stat,slf4j
      #配置初始化大小/最小/最大
      initial-size: 2
      min-idle: 2
      max-active: 20
      #获取连接等待超时时间
      max-wait: 60000
      #间隔多久进行一次检测，检测需要关闭的空闲连接
      time-between-eviction-runs-millis: 60000
      #一个连接在池中最小生存的时间
      min-evictable-idle-time-millis: 300000
      validation-query: SELECT 'x'
      test-while-idle: true
      test-on-borrow: false
      test-on-return: false
      #打开PSCache，并指定每个连接上PSCache的大小。oracle设为true，mysql设为false。分库分表较多推荐设置为false
      pool-prepared-statements: false
      max-pool-prepared-statement-per-connection-size: 20
  data:
    redis:
      port: 6380
      host: 121.40.98.15
      password: KtXA^Zx!TZmLEy(@JjB@2(TVG0kdy5)&
      database: 11
      lettuce:
        pool:
          min-idle: 1
        cluster:
          refresh:
            adaptive: true
            period: 20
  cache:
    type: redis
    redis:
      # 缓存过期时间：7天
      time-to-live: 604800
  rabbitmq:
    host: 121.40.98.15
    port: 5674
    username: kym
    password: kym!@123
    virtual-host: /dev
    publisher-returns: true
    publisher-confirms: true
    listener:
      simple:
        acknowledge-mode: manual
        retry:
          enabled: true
          max-attempts: 3
          initial-interval: 3000ms
          max-interval: 6000ms
          multiplier: 2

kym:
  notify-email: skyline@kuaiyuman.cn
